Index: code/branches/lastmanstanding/data/levels/gametype_lastmanstanding.oxw
===================================================================
--- code/branches/lastmanstanding/data/levels/gametype_lastmanstanding.oxw	(revision 7584)
+++ code/branches/lastmanstanding/data/levels/gametype_lastmanstanding.oxw	(revision 7585)
@@ -4,7 +4,4 @@
   include("templates/lodinformation.oxt")
   include("lastmanstandinghud.oxo")
-?>
-
-<?lua
   include("templates/spaceship_assff.oxt")
   include("templates/spaceship_pirate.oxt")
@@ -35,15 +32,18 @@
 
 <!-- ------------ middle asteroid -------------- -->
-    <StaticEntity position="0,20,0">
+    <StaticEntity position="0,20,0" collisionType=static>
        <attached>
            <Model position="0,0,0" scale=140 mesh="asteroid_UV.mesh" shadow=true />
            <!-- ParticleEmitter position="0,0,0" source="Orxonox/Steam" / -->
        </attached>
-    </StaticEntity>
-<StaticEntity position="0,0,0" collisionType=static>
       <collisionShapes>
         <SphereCollisionShape radius="145" />
       </collisionShapes>
     </StaticEntity>
+<!--StaticEntity position="0,0,0" collisionType=static>
+      <collisionShapes>
+        <SphereCollisionShape radius="145" />
+      </collisionShapes>
+    </StaticEntity-->
 
 <!-- ---------------asteroid dome----------------- -->
@@ -57,42 +57,57 @@
     ?>
 <?lua
-for k = 1, 25, 1
+for k = 1, 17, 1
 do
 j = math.random()
 ?>
 
-    <StaticEntity position="<?lua print(y) ?>,0,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+    <StaticEntity position="<?lua print(y) ?>,0,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
       <attached>
         <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i,6) + 1) ?>.mesh">
 	</Model>
       </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="<?lua print(j * 2) ?>,100,<?lua print(j * 2) ?>" position = "0,0,0" />
+      </collisionShapes>
     </StaticEntity>
 
-    <StaticEntity position="<?lua print(y) ?>,100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+    <StaticEntity position="<?lua print(y) ?>,100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
       <attached>
         <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i+3,6) + 1) ?>.mesh">
 	</Model>
       </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
     </StaticEntity>#
 
-    <StaticEntity position="<?lua print(y) ?>,200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+    <StaticEntity position="<?lua print(y) ?>,200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
       <attached>
         <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*5,6) + 1) ?>.mesh">
 	</Model>
       </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
     </StaticEntity>
 
-    <StaticEntity position="<?lua print(y) ?>,-100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+    <StaticEntity position="<?lua print(y) ?>,-100,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
       <attached>
         <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*13+1,6) + 1) ?>.mesh">
 	</Model>
       </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
     </StaticEntity>
 
-    <StaticEntity position="<?lua print(y) ?>,-200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> >
+    <StaticEntity position="<?lua print(y) ?>,-200,<?lua print(z) ?>" scale=<?lua print(j * 2) ?> collisionType=static >
       <attached>
         <Model position="0,0,0" scale=15 mesh="ast<?lua print( math.mod(i*17,6) + 1) ?>.mesh">
 	</Model>
       </attached>
+      <collisionShapes>
+        <BoxCollisionShape    halfExtents="45,100,45" position = "0,0,0" />
+      </collisionShapes>
     </StaticEntity>
 
@@ -102,12 +117,10 @@
        <attached>
            <Model position="0,0,0" scale=25 mesh="ast6.mesh" shadow=true />
-           <!--ParticleEmitter position="0,0,0" source="Orxonox/Steam" /-->
        </attached>
+      <!--collisionShapes>
+        <BoxCollisionShape position="<?lua print(y) ?>,0,<?lua print(z) ?>"      halfExtents="5, 5, 5" />
+      </collisionShapes-->
+  </MovableEntity>
 
-      <!--collisionShapes>
-        <BoxCollisionShape position="<?lua print(y) ?>,0,<?lua print(z) ?>"      halfExtents="50, 200, 50" />
-      </collisionShapes-->
-
-  </MovableEntity>
 
 <?lua
